Page MenuHomePhabricator

When a full image file name / file page title / file URL is entered in VE media dialog search, use that image directly
Closed, ResolvedPublic1 Story Points

Description

When a full image file name / file page title / file URL is entered in VE media dialog search, use that image directly.

According to T120867#1876447, there were at least 178 times on the English Wikipedia only in the last ~2 months where somebody found it easier to download the desired image to their computer and upload it back in. (This doesn't count images downloaded from Commons, as the upload dialog would prevent the user from uploading the duplicate in that case, presumably preventing them from inserting an image entirely).

Currently, file name or page ("Foo.jpg" / "File:Foo.jpg") produces various search results (although it seems that the image we're looking for is always first, at least), file URL produces no results at all. The simplest thing we could do is to produce only a single result, it being that image.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterTake only the last part of a URL query in media search widget

Event Timeline

matmarex created this task.Dec 13 2015, 6:39 PM
matmarex raised the priority of this task from to High.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 13 2015, 6:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 13 2015, 6:42 PM
Jdforrester-WMF lowered the priority of this task from High to Medium.Dec 15 2015, 8:08 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Elitre added a subscriber: Elitre.Mar 2 2016, 8:17 AM

Change 315561 had a related patch set uploaded (by Tchanders):
Take only the last part of a URL query in media search widget

https://gerrit.wikimedia.org/r/315561

Change 315561 merged by jenkins-bot:
Take only the last part of a URL query in media search widget

https://gerrit.wikimedia.org/r/315561

Jdforrester-WMF closed this task as Resolved.Oct 13 2016, 10:26 PM
Jdforrester-WMF assigned this task to Tchanders.
Jdforrester-WMF removed a project: Patch-For-Review.